cURL
curl --request GET \ --url https://api.payments.bob.company/api/v1/transactions/{id} \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "id": "<string>", "externalId": "<string>", "transactionCode": "<string>", "pixCode": "<string>", "expirationDate": "<string>", "status": "waiting_payment", "amountCents": 123, "product": "<string>", "quantity": 123, "paidAt": "<string>", "refundedAt": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "customer": { "id": "<string>", "name": "<string>", "document": "<string>", "email": "<string>", "phone": "<string>" }, "gateway": { "id": "<string>", "alias": "<string>", "providerId": "<string>", "providerName": "<string>" }, "originDomain": "<string>", "customerEmail": "<string>", "customerName": "<string>" }, "message": "<string>" }
Retorna uma transação específica por ID com todos os detalhes (requer autenticação JWT)
Autenticação por API Key usando token SK (sk_live_xxx ou sk_test_xxx). Envie como: Authorization: Bearer sk_live_xxx
^[cC][^\s-]{8,}$
Default Response
Show child attributes
Was this page helpful?